<?xml version="1.0"?>

<?xml-stylesheet href="chrome://browser/content/browser.css" type="text/css"?>
<?xml-stylesheet href="chrome://browser/content/places/places.css" type="text/css"?>
<?xml-stylesheet href="chrome://browser/skin/devtools/common.css" type="text/css"?>
<?xml-stylesheet href="chrome://browser/skin/" type="text/css"?>

<?xul-overlay href="chrome://global/content/editMenuOverlay.xul"?>
<?xul-overlay href="chrome://browser/content/baseMenuOverlay.xul"?>
<?xul-overlay href="chrome://browser/content/places/placesOverlay.xul"?>

<!DOCTYPE window [
<!ENTITY % brandDTD SYSTEM "chrome://branding/locale/brand.dtd" >
%brandDTD;
<!ENTITY % browserDTD SYSTEM "chrome://browser/locale/browser.dtd" >
%browserDTD;
<!ENTITY % baseMenuDTD SYSTEM "chrome://browser/locale/baseMenuOverlay.dtd" >
%baseMenuDTD;
<!ENTITY % charsetDTD SYSTEM "chrome://global/locale/charsetOverlay.dtd" >
%charsetDTD;
<!ENTITY % textcontextDTD SYSTEM "chrome://global/locale/textcontext.dtd" >
%textcontextDTD;
<!ENTITY % customizeToolbarDTD SYSTEM "chrome://global/locale/customizeToolbar.dtd">
  %customizeToolbarDTD;
<!ENTITY % placesDTD SYSTEM "chrome://browser/locale/places/places.dtd">
%placesDTD;
<!ENTITY % safebrowsingDTD SYSTEM "chrome://browser/locale/safebrowsing/phishing-afterload-warning-message.dtd">
%safebrowsingDTD;
<!ENTITY % aboutHomeDTD SYSTEM "chrome://browser/locale/aboutHome.dtd">
%aboutHomeDTD;
]>


<window id="main-window"
        xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
        xmlns:svg="http://www.w3.org/2000/svg"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	onload="onLoadprint();"    
	title="&mainWindow.title;">


<script type="application/javascript" src="chrome://global/content/printUtils.js"/>
<script type="application/javascript" src="chrome://browser/content/browser.js"/>
<script type="application/javascript" src="chrome://browser/content/nsContextMenu.js"/>
<script type="application/javascript" src="chrome://global/content/contentAreaUtils.js"/>

  <commandset id="mainCommandSet">
    
    <command id="cmd_pageSetup" oncommand="PrintUtils.showPageSetup();"/>
    <command id="cmd_print" oncommand="PrintUtils.print();"/>
    <command id="cmd_printPreview" oncommand="PrintUtils.printPreview(PrintPreviewListener);"/>
    <command id="cmd_ToggleTabsOnTop" oncommand="TabsOnTop.toggle()"/>
    <command id="cmd_CustomizeToolbars" oncommand="BrowserCustomizeToolbar()"/>
    </commandset>


  <popupset id="mainPopupSet">

    <menupopup id="backForwardMenu"
               onpopupshowing="return FillHistoryMenu(event.target);"   />

   <popupnotification id="servicesInstall-notification" hidden="true">
      <popupnotificationcontent orient="vertical" align="start">
      </popupnotificationcontent>
    </popupnotification>

    <popupnotification id="pointerLock-notification" hidden="true">
      <popupnotificationcontent orient="vertical" align="start">
      </popupnotificationcontent>
    </popupnotification>
 </popupset>

<vbox id="titlebar">
  <hbox id="titlebar-content">
    <hbox id="appmenu-button-container">
      <button id="appmenu-button" hidden="true">

<menupopup id="appmenu-popup">
</menupopup>
      </button>
    </hbox>
    
    <hbox id="titlebar-buttonbox-container" align="start" hidden="true">
      <hbox id="titlebar-buttonbox">
        <toolbarbutton class="titlebar-button" id="titlebar-min" oncommand="window.minimize();"/>
        <toolbarbutton class="titlebar-button" id="titlebar-max" oncommand="onTitlebarMaxClick();"/>
        <toolbarbutton class="titlebar-button" id="titlebar-close" command="cmd_closeWindow"/>
      </hbox>
    </hbox>
  </hbox>
</vbox>

<deck flex="1" id="tab-view-deck">
<vbox flex="1" id="browser-panel">

  <toolbox id="navigator-toolbox" hidden="true">
    <!-- Menu -->
    <toolbar type="menubar" id="toolbar-menubar" hidden="true">
      <toolbaritem id="menubar-items" align="center">

       <menubar id="main-menubar" hidden="true">
            <menu id="file-menu" >
              <menupopup id="menu_FilePopup">
                <menuitem id="menu_close"
                          command="cmd_close" hidden="true"/>
                <menuitem id="menu_closeWindow"
                          class="show-only-for-keyboard"
                          hidden="true"
                          command="cmd_closeWindow"/>
                <menuseparator/>

                <menuseparator/>


              </menupopup>
            </menu>
</menubar>
      </toolbaritem>

      <hbox class="titlebar-placeholder" type="appmenu-button" ordinal="0"/>
      <hbox class="titlebar-placeholder" type="caption-buttons" ordinal="1000"/>
    </toolbar>

    <toolbar id="nav-bar" class="toolbar-primary chromeclass-toolbar"
             toolbarname="&navbarCmd.label;" accesskey="&navbarCmd.accesskey;"
             fullscreentoolbar="true" mode="icons" customizable="true"
             iconsize="large"
             defaultset="unified-back-forward-button,urlbar-container,reload-button,stop-button,search-container,webrtc-status-button,bookmarks-menu-button,downloads-button,home-button,window-controls"
             context="toolbar-context-menu">

      <toolbaritem id="unified-back-forward-button" class="chromeclass-toolbar-additional"
                   context="backForwardMenu" removable="true"
                   forwarddisabled="true"
                   title="&backForwardItem.title;">

         <dummyobservertarget hidden="true">
        </dummyobservertarget>
      </toolbaritem>

    </toolbar>


   <toolbar id="TabsToolbar"
             class="toolbar-primary"
             fullscreentoolbar="true"
             customizable="true"
             mode="icons" lockmode="true"
             iconsize="small" defaulticonsize="small" lockiconsize="true"
             aria-label="&tabsToolbar.label;"
             context="toolbar-context-menu"
             defaultset="tabbrowser-tabs,new-tab-button,alltabs-button,tabs-closebutton"
             collapsed="true">


      <tabs id="tabbrowser-tabs"
            class="tabbrowser-tabs"
            tabbrowser="content"
            flex="1"
            setfocus="false"
            tooltip="tabbrowser-tab-tooltip"
            stopwatchid="FX_TAB_CLICK_MS">
        <tab class="tabbrowser-tab" selected="true" fadein="true"/>
      </tabs>


      <toolbarbutton id="alltabs-button"
                     class="toolbarbutton-1 chromeclass-toolbar-additional tabs-alltabs-button"
                     type="menu"
                     label="&listAllTabs.label;"
                     tooltiptext="&listAllTabs.label;"
                     removable="true">

      </toolbarbutton>
    </toolbar>
</toolbox>

  <hbox flex="1" id="browser">
    <vbox id="browser-border-start" hidden="true" layer="true"/>
    <vbox id="appcontent" flex="1">


      <tabbrowser id="content" disablehistory="true"
                  flex="1" contenttooltip="aHTMLTooltip"
                  tabcontainer="tabbrowser-tabs"
                  contentcontextmenu="contentAreaContextMenu"
                  autocompletepopup="PopupAutoComplete" >
		      <browser id="content"/>
		  
</tabbrowser>		  
		  
      <chatbar id="pinnedchats" layer="true" mousethrough="always" hidden="true"/>
      <statuspanel id="statusbar-display" inactive="true" />
    </vbox>

  </hbox>
</vbox>
</deck>

</window>
